#ifndef _GRF4GLOBJECT_H_
#define _GRF4GLOBJECT_H_

PRISM *glGenDisc(/* int, float, float */);
PRISM *glGenCone(/* int, float, float, float */);
PRISM *glGenPrism(/* int, EDGE_DEF*, float, int */);
SPHERE *glGenSphere(/* int, float */);
POLYGON *glGenPolygon(/* int, float* */);
POLYGON *glGenRegPolygon(/* int, float */);
LINESET *glGenLineSet(/* int, float* */);

double glSetDepth (/* Grf4Object*, float */);
void glDrawPrism (/* Grf4Object* */);
void glDrawSphere (/* Grf4Object* */);
void glDrawPolygon (/* Grf4Object* */);
void glDrawLineSet (/* Grf4Object* */);

#endif
